View Issue Details

IDProjectCategoryView StatusLast Update
0024975Open CASCADEOCCT:Codingpublic2021-11-02 21:08
ReporterskiAssigned Tosmoskvin  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Target Version7.6.0Fixed in Version7.6.0 
Summary0024975: Improve of preprocessor directives in header files to be equal to the file name
DescriptionPreprocessor directives in header files should be equal to the name of file.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Activities

ski

2014-05-30 15:01

developer   ~0029622

Issue was resolved.
Preprocessor directives were checked and improved.
Changes are located in branch CR24975.
Please, review.

git

2015-07-27 14:18

administrator   ~0043574

Branch CR24975 has been deleted by kgv.

SHA-1: b8e2928b32684106464a0006251fc3d5351837db

git

2015-08-12 09:43

administrator   ~0044009

Branch CR24975 has been created by kgv.

SHA-1: b8e2928b32684106464a0006251fc3d5351837db


Detailed log of new commits:

Author: ski
Date: Fri May 30 11:45:30 2014 +0400

    Some includes were replaced under the preprocessor directives.

Author: ski
Date: Fri May 30 11:41:33 2014 +0400

    0024975: Improve of preprocessor directives in header files to be equal to the file name
    
    Preprocessor directives were changed or created by function "check_headers" from stript adm/upgrade.tcl (CR24816)

git

2021-10-18 11:58

administrator   ~0104698

Branch CR24975_1 has been created by kgv.

SHA-1: 082ac1beb4c9f13fb3d0d76e48e54e7ffe3b27ad


Detailed log of new commits:

Author: ski
Date: Mon Oct 18 11:52:10 2021 +0300

    0024975: Improve of preprocessor directives in header files to be equal to the file name
    
    Preprocessor directives were changed or created by function "check_headers" from script adm/upgrade.tcl (CR24816)

git

2021-10-27 15:05

administrator   ~0104900

Branch CR24975_1 has been updated forcibly by kgv.

SHA-1: 0053c476f3fb751d9e93ae55bc473749f6b51aea

kgv

2021-10-27 20:24

developer   ~0104911

Please raise the patch
- OCCT: branch CR24975_1.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR24975_1-master-KGV3/

smoskvin

2021-10-30 11:21

administrator   ~0104977

Combination -
OCCT branch : OCCT-760
master SHA - 0d186a91c07a6217cd132ec7ea03f1e6f7a2a9ce
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : OCCT-760 SHA - c472aa8da77ba932a88c890c58c81b09f9ae00b5
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17728.310000000427 / 17750.15000000046 [-0.12%]
Products
Total CPU difference: 11578.090000000113 / 11624.980000000118 [-0.40%]
Windows-64-VC14:
OCCT
Total CPU difference: 19746.84375 / 19683.796875 [+0.32%]
Products
Total CPU difference: 12740.0 / 10994.3125 [+15.88%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-11-02 21:08

administrator   ~0105008

Branch CR24975 has been deleted by mnt.

SHA-1: b8e2928b32684106464a0006251fc3d5351837db

git

2021-11-02 21:08

administrator   ~0105009

Branch CR24975_1 has been deleted by mnt.

SHA-1: 0053c476f3fb751d9e93ae55bc473749f6b51aea

Related Changesets

occt: master 5bd54bef

2021-10-18 08:52:10

ski


Committer: smoskvin Details Diff
0024975: Improve of preprocessor directives in header files to be equal to the file name

Preprocessor directives were changed or created by function "check_headers" from script adm/upgrade.tcl (CR24816)
Affected Issues
0024975
mod - src/AdvApp2Var/AdvApp2Var_ApproxF2var.hxx Diff File
mod - src/AdvApp2Var/AdvApp2Var_Data_f2c.hxx Diff File
mod - src/AppCont/AppCont_ContMatrices.hxx Diff File
mod - src/Aspect/Aspect_DisplayConnection.hxx Diff File
mod - src/Aspect/Aspect_PolygonOffsetMode.hxx Diff File
mod - src/BinLDrivers/BinLDrivers_VectorOfDocumentSection.hxx Diff File
mod - src/BOPDS/BOPDS_VectorOfPoint.hxx Diff File
mod - src/BOPTools/BOPTools_MapOfSet.hxx Diff File
mod - src/BRepBuilderAPI/BRepBuilderAPI_BndBoxTreeSelector.hxx Diff File
mod - src/BRepBuilderAPI/BRepBuilderAPI_VertexInspector.hxx Diff File
mod - src/BRepMesh/BRepMesh_CircleInspector.hxx Diff File
mod - src/BVH/BVH_BinnedBuilder.hxx Diff File
mod - src/BVH/BVH_Box.hxx Diff File
mod - src/BVH/BVH_Builder.hxx Diff File
mod - src/BVH/BVH_Geometry.hxx Diff File
mod - src/BVH/BVH_Object.hxx Diff File
mod - src/BVH/BVH_ObjectSet.hxx Diff File
mod - src/BVH/BVH_PrimitiveSet.hxx Diff File
mod - src/BVH/BVH_Properties.hxx Diff File
mod - src/BVH/BVH_Set.hxx Diff File
mod - src/BVH/BVH_Sorter.hxx Diff File
mod - src/BVH/BVH_SpatialMedianBuilder.hxx Diff File
mod - src/BVH/BVH_SweepPlaneBuilder.hxx Diff File
mod - src/BVH/BVH_Triangulation.hxx Diff File
mod - src/BVH/BVH_Types.hxx Diff File
mod - src/ChFi2d/ChFi2d_AnaFilletAlgo.hxx Diff File
mod - src/ChFi2d/ChFi2d_ChamferAPI.hxx Diff File
mod - src/ChFi2d/ChFi2d_FilletAlgo.hxx Diff File
mod - src/ChFi2d/ChFi2d_FilletAPI.hxx Diff File
mod - src/ChFiKPart/ChFiKPart_ComputeData_CS.hxx Diff File
mod - src/ChFiKPart/ChFiKPart_ComputeData_FilPlnCon.hxx Diff File
mod - src/ChFiKPart/ChFiKPart_ComputeData_FilPlnCyl.hxx Diff File
mod - src/ChFiKPart/ChFiKPart_ComputeData_FilPlnPln.hxx Diff File
mod - src/Cocoa/Cocoa_LocalPool.hxx Diff File
mod - src/Cocoa/Cocoa_Window.hxx Diff File
mod - src/Convert/Convert_CosAndSinEvalFunction.hxx Diff File
mod - src/Convert/Convert_PolynomialCosAndSin.hxx Diff File
mod - src/DsgPrs/DsgPrs_DatumPrs.hxx Diff File
mod - src/Font/Font_BRepFont.hxx Diff File
mod - src/Font/Font_FTFont.hxx Diff File
mod - src/Font/Font_FTLibrary.hxx Diff File
mod - src/Graphic3d/Graphic3d_BufferType.hxx Diff File
mod - src/Graphic3d/Graphic3d_MarkerImage.hxx Diff File
mod - src/Graphic3d/Graphic3d_TransModeFlags.hxx Diff File
mod - src/Graphic3d/Graphic3d_Vec.hxx Diff File
mod - src/IGESData/IGESData_Dump.hxx Diff File
mod - src/Image/Image_AlienPixMap.hxx Diff File
mod - src/Image/Image_Color.hxx Diff File
mod - src/Image/Image_Diff.hxx Diff File
mod - src/Image/Image_PixMap.hxx Diff File
mod - src/Image/Image_PixMapData.hxx Diff File
mod - src/IntAna2d/IntAna2d_Outils.hxx Diff File
mod - src/Interface/Interface_Statics.hxx Diff File
mod - src/Interface/Interface_Translates.hxx Diff File
mod - src/IntImp/IntImp_ComputeTangence.hxx Diff File
mod - src/LDOM/LDOM_DeclareSequence.hxx Diff File
mod - src/MeshVS/MeshVS_BuilderPriority.hxx Diff File
mod - src/MeshVS/MeshVS_DisplayModeFlags.hxx Diff File
mod - src/MeshVS/MeshVS_EntityType.hxx Diff File
mod - src/MeshVS/MeshVS_SelectionModeFlags.hxx Diff File
mod - src/MeshVS/MeshVS_TwoNodes.hxx Diff File
mod - src/NCollection/NCollection_String.hxx Diff File
mod - src/NCollection/NCollection_UtfIterator.hxx Diff File
mod - src/NCollection/NCollection_UtfString.hxx Diff File
mod - src/NCollection/NCollection_Vec2.hxx Diff File
mod - src/NCollection/NCollection_Vec3.hxx Diff File
mod - src/NCollection/NCollection_Vec4.hxx Diff File
mod - src/OpenGl/OpenGl_ArbDbg.hxx Diff File
mod - src/OpenGl/OpenGl_ArbFBO.hxx Diff File
mod - src/OpenGl/OpenGl_ArbIns.hxx Diff File
mod - src/OpenGl/OpenGl_ArbTBO.hxx Diff File
mod - src/OpenGl/OpenGl_CappingAlgo.hxx Diff File
mod - src/OpenGl/OpenGl_CappingPlaneResource.hxx Diff File
mod - src/OpenGl/OpenGl_Caps.hxx Diff File
mod - src/OpenGl/OpenGl_Clipping.hxx Diff File
mod - src/OpenGl/OpenGl_Context.hxx Diff File
mod - src/OpenGl/OpenGl_Element.hxx Diff File
mod - src/OpenGl/OpenGl_ExtGS.hxx Diff File
mod - src/OpenGl/OpenGl_Flipper.hxx Diff File
mod - src/OpenGl/OpenGl_Font.hxx Diff File
mod - src/OpenGl/OpenGl_FrameBuffer.hxx Diff File
mod - src/OpenGl/OpenGl_GlCore11.hxx Diff File
mod - src/OpenGl/OpenGl_GlCore11Fwd.hxx Diff File
mod - src/OpenGl/OpenGl_GlCore12.hxx Diff File
mod - src/OpenGl/OpenGl_GlCore13.hxx Diff File
mod - src/OpenGl/OpenGl_GlCore14.hxx Diff File
mod - src/OpenGl/OpenGl_GlCore15.hxx Diff File
mod - src/OpenGl/OpenGl_GlCore20.hxx Diff File
mod - src/OpenGl/OpenGl_GlCore21.hxx Diff File
mod - src/OpenGl/OpenGl_GlCore30.hxx Diff File
mod - src/OpenGl/OpenGl_GlCore31.hxx Diff File
mod - src/OpenGl/OpenGl_GlCore32.hxx Diff File
mod - src/OpenGl/OpenGl_GlCore33.hxx Diff File
mod - src/OpenGl/OpenGl_GlCore40.hxx Diff File
mod - src/OpenGl/OpenGl_GlCore41.hxx Diff File
mod - src/OpenGl/OpenGl_GlCore42.hxx Diff File
mod - src/OpenGl/OpenGl_GlCore43.hxx Diff File
mod - src/OpenGl/OpenGl_GlCore44.hxx Diff File
mod - src/OpenGl/OpenGl_GlFunctions.hxx Diff File
mod - src/OpenGl/OpenGl_GraduatedTrihedron.hxx Diff File
mod - src/OpenGl/OpenGl_Group.hxx Diff File
mod - src/OpenGl/OpenGl_IndexBuffer.hxx Diff File
mod - src/OpenGl/OpenGl_Layer.hxx Diff File
mod - src/OpenGl/OpenGl_LayerList.hxx Diff File
mod - src/OpenGl/OpenGl_LineAttributes.hxx Diff File
mod - src/OpenGl/OpenGl_PointSprite.hxx Diff File
mod - src/OpenGl/OpenGl_PrimitiveArray.hxx Diff File
mod - src/OpenGl/OpenGl_RenderFilter.hxx Diff File
mod - src/OpenGl/OpenGl_Resource.hxx Diff File
mod - src/OpenGl/OpenGl_SceneGeometry.hxx Diff File
mod - src/OpenGl/OpenGl_ShaderObject.hxx Diff File
mod - src/OpenGl/OpenGl_ShaderProgram.hxx Diff File
mod - src/OpenGl/OpenGl_ShaderStates.hxx Diff File
mod - src/OpenGl/OpenGl_StencilTest.hxx Diff File
mod - src/OpenGl/OpenGl_Structure.hxx Diff File
mod - src/OpenGl/OpenGl_Text.hxx Diff File
mod - src/OpenGl/OpenGl_Texture.hxx Diff File
mod - src/OpenGl/OpenGl_TextureBufferArb.hxx Diff File
mod - src/OpenGl/OpenGl_Vec.hxx Diff File
mod - src/OpenGl/OpenGl_VertexBuffer.hxx Diff File
mod - src/OpenGl/OpenGl_VertexBufferEditor.hxx Diff File
mod - src/OpenGl/OpenGl_View.hxx Diff File
mod - src/OpenGl/OpenGl_Window.hxx Diff File
mod - src/OpenGl/OpenGl_Workspace.hxx Diff File
mod - src/OSD/OSD_ErrorList.hxx Diff File
mod - src/OSD/OSD_MemInfo.hxx Diff File
mod - src/OSD/OSD_WNT.hxx Diff File
mod - src/Prs3d/Prs3d_DimensionUnits.hxx Diff File
mod - src/Prs3d/Prs3d_Point.hxx Diff File
mod - src/PrsMgr/PrsMgr_ListOfPresentations.hxx Diff File
mod - src/Standard/Standard_CLocaleSentry.hxx Diff File
mod - src/Standard/Standard_math.hxx Diff File
mod - src/Standard/Standard_PrimitiveTypes.hxx Diff File
mod - src/StdPrs/StdPrs_HLRShape.hxx Diff File
mod - src/StdPrs/StdPrs_Point.hxx Diff File
mod - src/StdPrs/StdPrs_Vertex.hxx Diff File
mod - src/StdPrs/StdPrs_WFRestrictedFace.hxx Diff File
mod - src/StdPrs/StdPrs_WFShape.hxx Diff File
mod - src/TopOpeBRepDS/TopOpeBRepDS_repvg.hxx Diff File
mod - src/V3d/V3d_Plane.hxx Diff File
mod - src/WNT/WNT_Dword.hxx Diff File
mod - src/Xw/Xw_Window.hxx Diff File

Issue History

Date Modified Username Field Change
2014-05-30 11:32 ski New Issue
2014-05-30 11:32 ski Assigned To => ski
2014-05-30 11:32 ski Status new => assigned
2014-05-30 15:01 ski Note Added: 0029622
2014-05-30 15:01 ski Assigned To ski => abv
2014-05-30 15:01 ski Status assigned => resolved
2014-09-12 13:00 abv Target Version => 7.0.0
2015-07-27 14:18 git Note Added: 0043574
2015-08-12 09:43 git Note Added: 0044009
2015-12-14 22:39 abv Target Version 7.0.0 => 7.1.0
2016-11-03 17:07 abv Target Version 7.1.0 => 7.2.0
2017-08-17 12:36 abv Target Version 7.2.0 => 7.4.0
2019-07-10 19:27 abv Target Version 7.4.0 => 7.5.0
2020-09-25 20:35 abv Target Version 7.5.0 => 7.6.0
2021-10-18 11:58 git Note Added: 0104698
2021-10-27 15:05 git Note Added: 0104900
2021-10-27 20:24 kgv Test case number => N/A
2021-10-27 20:24 kgv Note Added: 0104911
2021-10-27 20:24 kgv Assigned To abv => bugmaster
2021-10-27 20:24 kgv Status resolved => reviewed
2021-10-27 20:24 kgv Steps to Reproduce Updated
2021-10-30 11:21 smoskvin Note Added: 0104977
2021-10-30 11:21 smoskvin Status reviewed => tested
2021-11-02 17:57 smoskvin Changeset attached => occt master 5bd54bef
2021-11-02 17:57 smoskvin Assigned To bugmaster => smoskvin
2021-11-02 17:57 smoskvin Status tested => verified
2021-11-02 17:57 smoskvin Resolution open => fixed
2021-11-02 21:08 git Note Added: 0105008
2021-11-02 21:08 git Note Added: 0105009